module Integrator
  class UsersController < CmsController
    authorize_resource

    before_action :load_user, only: [ :edit, :update, :destroy ]

    def index
      @users = User.all
      respond_with @users
    end

    def new
    end

    def create
      respond_with User.create(user_params), location: users_path
    end

    def edit
    end

    def update
      @user.update(user_params)
      respond_with @user, location: users_path
    end

    def destroy
      current_integrator_user == @user ? (redirect_to users_path) : (respond_with @user.destroy)
    end

    private

    def load_user
      @user = User.find(params[:id])
    end

    def user_params
      user_params = params.require(:user).permit(:email, :password, :password_confirmation, :role)
      if params[:action] == 'update'
        user_params.delete(:password) if user_params[:password].blank?
        user_params.delete(:password_confirmation) if user_params[:password_confirmation].blank?
        user_params.delete(:email)
      end
      user_params
    end
  end
end
