Integrator::Engine.routes.draw do

  devise_for :integrator_users, only: [], class_name: 'Integrator::User', module: :devise
  devise_scope :integrator_user do
    get  'signup',   to: 'devise/registrations#new'
    post 'signup',   to: 'devise/registrations#create'
    get  'login',    to: 'devise/sessions#new'
    post 'login',    to: 'devise/sessions#create'
    get  'logout',   to: 'devise/sessions#destroy'
    get  'password', to: 'devise/passwords#new'
    post 'password', to: 'devise/passwords#create'
    get  'reset',    to: 'devise/passwords#edit'
    put  'reset',    to: 'devise/passwords#update'
  end

  root 'dashboard#index'

  resources :users, except: [ :show ]
end

Rails.application.routes.draw do
  root 'integrator/front/pages#show'
end
