module Integrator
  class Engine < ::Rails::Engine
    isolate_namespace Integrator

    config.middleware.use ActionDispatch::Flash

    config.generators do |g|
      g.test_framework :rspec, fixtures: true
      g.fixture_replacement :factory_girl, dir: 'spec/factories'
      g.assets false
      g.helper false
    end

    initializer 'assets_precompile' do |app|
      app.config.assets.precompile += %w( integrator/noavatar.png )
      # config.assets.paths << Rails.root.join('app', 'assets', 'fonts')
      # config.assets.precompile << /\.(?:svg|eot|woff|ttf)\z/
    end
  end
end
